/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock;

import java.util.Properties;

import org.ow2.petals.jmx.api.api.PetalsAdminServiceClient;
import org.ow2.petals.jmx.api.api.exception.PetalsAdminServiceErrorException;

/**
 * Mock of {@link PetalsAdminServiceClient} for unit tests of application using
 * the Petals JMX API.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class PetalsAdminServiceClientMock implements PetalsAdminServiceClient {

    @Override
    public void stopContainer() throws PetalsAdminServiceErrorException {
        // NOP
    }

    @Override
    public void shutdownContainer() throws PetalsAdminServiceErrorException {
        // NOP
    }

    @Override
    public Properties retrieveServerProperties() throws PetalsAdminServiceErrorException {
        return null;
    }

    @Override
    public boolean ping() throws PetalsAdminServiceErrorException {
        return false;
    }

}
