/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.junit;

import org.ow2.petals.jmx.api.api.ComponentClient;
import org.ow2.petals.jmx.api.api.exception.ComponentUnsupportedOperationException;
import org.ow2.petals.jmx.api.api.monitoring.component.framework.ComponentMonitoringServiceClient;
import org.ow2.petals.jmx.api.mock.junit.PetalsJmxApiJunitRule.ComponentType;

/**
 * The interface {@link ComponentClient} extended for internal use of {@link PetalsJmxApiJunitRule} and implementation
 * of its mocks.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface ComponentClientMockItf extends ComponentClient {

    /**
     * @return The component identifier
     */
    public String getIdentifier();

    /**
     * @return The component type
     */
    public ComponentType getType();

    /**
     * Enable exception {@link ComponentUnsupportedOperationException} on {@link ComponentClient#reloadConfiguration()}
     * 
     * @return
     */
    public ComponentClientMockItf withUnsupportedReloadConfiguration();

    /**
     * @return The monitoring service client associated to the current component
     */
    public ComponentMonitoringServiceClient getMonitoringServiceClient();
}
