/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.junit;

import org.ow2.petals.jmx.api.api.exception.ConnectionErrorException;

/**
 * Handler driving the JMX connection result
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public interface OnConnectionHandler {

    /**
     * Mock processing simulating a JMX connection
     * 
     * @return <code>true</code> if the connection is considered as successfully established, otherwise an exception is
     *         raised.
     * @throws ConnectionErrorException
     *             A connection error is simulated
     */
    public boolean onConnection() throws ConnectionErrorException;

}
