/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.junit;

import org.junit.After;
import org.junit.Before;
import org.ow2.petals.jmx.api.api.PetalsJmxApiFactory;
import org.ow2.petals.jmx.api.mock.PetalsJmxApiFactoryMock;

/**
 * Abstract testcase for unit tests requiring the mock implementation of the Petals JMX API.
 * 
 * @author Christophe DENEUX - Linagora
 * @deprecated Prefer to use {@link PetalsJmxApiJunitRule}
 */
@Deprecated
public abstract class PetalsJmxApiMockTestCase {

    @Before
    public void setUp() throws Exception {
        System.setProperty(PetalsJmxApiFactory.PROPERTY_NAME,
                PetalsJmxApiFactoryMock.class.getName());
    }

    @After
    public void tearDown() throws Exception {
        PetalsJmxApiFactory.close();
        System.clearProperty(PetalsJmxApiFactory.PROPERTY_NAME);
    }
}
