/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.mock.junit.monitoring.object;

import org.ow2.petals.jmx.api.api.monitoring.object.ObjectPoolMetrics;

/**
 * A mock implementation of {@link ObjectPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ObjectPoolMetricsMock implements ObjectPoolMetrics {

    final private Long borrowedObjectNumber;

    final private Long borrowedObjectMaxNumber;

    final private Long idleObjectNumber;

    final private Long idleObjectMaxNumber;

    public ObjectPoolMetricsMock(final int borrowedObjectNumber,
            final int borrowedObjectMaxNumber, final int idleObjectNumber, final int idleObjectMaxNumber) {
        super();
        this.borrowedObjectNumber = new Long(borrowedObjectNumber);
        this.borrowedObjectMaxNumber = new Long(borrowedObjectMaxNumber);
        this.idleObjectNumber = new Long(idleObjectNumber);
        this.idleObjectMaxNumber = new Long(idleObjectMaxNumber);
    }

    @Override
    public Long getBorrowedObjectNumber() {
        return this.borrowedObjectNumber;
    }

    @Override
    public Long getBorrowedObjectMaxNumber() {
        return this.borrowedObjectMaxNumber;
    }

    @Override
    public Long getIdleObjectNumber() {
        return this.idleObjectNumber;
    }

    @Override
    public Long getIdleObjectMaxNumber() {
        return this.idleObjectMaxNumber;
    }

}
